{% extends 'base.html.twig' %}

{% block title %}Inscription{% endblock %}

{% block body %}
<style>
body{
  background-image: url(assets/img/Register.jpg);
  background-size: cover;
}
</style>
  <div class="mask d-flex align-items-left  h-100 gradient-custom-3">
    <div class="container h-100">
      <div class="row flex-row-reverse justify-content-left h-100"style="margin-top: 20px">
        <div class="col-12 col-md-9 col-lg-7 col-xl-6">
          <div class="card" style="border-radius: 15px;">
            <div class="card-body p-4" style="background: linear-gradient(110deg, #8D7B68 60%, #A4907C 60%); border: solid #8D7B68; border-radius: 10px;">
              <h2 class="text-uppercase text-center mb-1">Créer un compte</h2>
  <div style="font-size: 20px">
    {{ form_start(registrationForm) }}
        {{ form_row(registrationForm.username, {
            label: 'Pseudo:'
        }) }}
        {{ form_row(registrationForm.address, {
            label: 'Email:'
        }) }}
        {{ form_row(registrationForm.lastname, {
            label: 'Prénom:'
        }) }}
        {{ form_row(registrationForm.plainPassword, {
            label: 'Mot de passe:'
        }) }}
        {{ form_row(registrationForm.RGPDConsent, {
            label: 'J\'accepte les conditions générales.'
        }) }}
        </div>

        <button type="submit" class="btn btn-block btn-lg gradient-custom-4 text-body mb-1" style="background-color: #F1DEC9; box-shadow: 2px 2px 3px black;">Inscription</button>
    {{ form_end(registrationForm) }}
    <br>
<p class="mb-1"><br>Vous n'avez pas de compte ? <a href="/connection"
                      style="color: #F1DEC9;">Connectez-vous ici</a></p>
<a class="mb-1" href="/"
                      style="color: #F1DEC9;">Retour</a>
                </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
